dcoracle and lobs error 
Author Message
 dcoracle and lobs error

Hello,

I'm trying to select Oracle Lobs from our database (Oracle 8.1.6) via
DCOracle, but all i get is this error message:

24813, 00000, "cannot send or receive an unsupported LOB"
// *Cause:  An attempt was made to send a LOB across the network, but
either
//          the server does not support the LOB sent by the client, or
the
//          client does not support the LOB sent by the server. This
error
//          usually occurs when the client and server are running
different
//          versions of Oracle.
// *Action: Use a version of the Oracle that supports the LOB on both
//          the client and the
server.

Does anybody have an idea what can be wrong?

Thanks,
Stephan

Sent via Deja.com http://www.*-*-*.com/
Before you buy.



Sun, 26 Jan 2003 03:00:00 GMT  
 dcoracle and lobs error

Quote:
> I'm trying to select Oracle Lobs from our database (Oracle 8.1.6) via
> DCOracle, but all i get is this error message:

This was discussed extensively in Zope's mailing list

follow "Resources -> Mailing Lists" on http://www.zope.org).

DCOracle, currently, does not support Oracle 8.1 LOB's only
Oracle 8.0 LOB's.

DC is working on an extension. The project, however, is
not funded externally. Therefore, there is no fixed
time frame.

Dieter



Sat, 01 Feb 2003 03:00:00 GMT  
 dcoracle and lobs error
2qy
2qyHello,
2qy
2qyI'm trying to select Oracle Lobs from our database (Oracle 8.1.6) via
2qyDCOracle, but all i get is this error message:
2qy
2qy24813, 00000, "cannot send or receive an unsupported LOB"
2qy// *Cause:  An attempt was made to send a LOB across the network, but
2qyeither
2qy//          the server does not support the LOB sent by the client, or
2qythe
2qy//          client does not support the LOB sent by the server. This
2qyerror
2qy//          usually occurs when the client and server are running
2qydifferent
2qy//          versions of Oracle.
2qy// *Action: Use a version of the Oracle that supports the LOB on both
2qy//          the client and the
2qyserver.

The current version of DCOracle does not support LOBs in Oracle 8.1.X.
When you need support for LOBs inside python you should try
JPython and JDBC to get Python connected to Oracle 8i. This works
without any problems and is more reliable compared DCOracle in the
current version. You can use all features of JDBC including LOBs
so this should be your solution.

Cheers,
Andreas



Sat, 01 Feb 2003 03:00:00 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. DCOracle and lobs

2. DCOracle Error

3. compile-error DCOracle on win32

4. DCOracle error

5. How to use DCOracle and LOBs in Oracle 8i ????

6. oratcl and lob

7. Suspected bug in DCOracle2 for LOB's

8. problem with LOB's and DCOracle2

9. Help - LOB's in oratcl

10. Can't Read a Lob via DCOracle2

11. COMMERCIAL: DCOracle 1.0

12. DCOracle 1.1.0

 

 
Powered by phpBB® Forum Software